package com.ruoyi.asset.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.asset.domain.TbPlace;
import org.springframework.transaction.annotation.Transactional;

/**
 * 地点Service接口
 * 
 * @author 原动力
 * @date 2023-03-27
 */
@Transactional
public interface ITbPlaceService extends IService<TbPlace>
{
    /**
     * 查询地点
     * 
     * @param id 地点主键
     * @return 地点
     */
    public TbPlace selectTbPlaceById(Long id);

    /**
     * 查询地点列表
     * 
     * @param tbPlace 地点
     * @return 地点集合
     */
    public List<TbPlace> selectTbPlaceList(TbPlace tbPlace);

    /**
     * 新增地点
     * 
     * @param tbPlace 地点
     * @return 结果
     */
    public int insertTbPlace(TbPlace tbPlace);

    /**
     * 修改地点
     * 
     * @param tbPlace 地点
     * @return 结果
     */
    public int updateTbPlace(TbPlace tbPlace);

    /**
     * 批量删除地点
     * 
     * @param ids 需要删除的地点主键集合
     * @return 结果
     */
    public int deleteTbPlaceByIds(Long[] ids);

    /**
     * 删除地点信息
     * 
     * @param id 地点主键
     * @return 结果
     */
    public int deleteTbPlaceById(Long id);

    /**
     * 获取全部地点信息
     *
     * @return 地点信息集合
     */
    public List<TbPlace> selectTbPlaceAll();

    boolean saveBatch(List<TbPlace> list);
}
